Get Payment Intent Details
curl --request GET \
--url https://staging.api.tribease.com/v2/v2/payment-intents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.tribease.com/v2/v2/payment-intents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.tribease.com/v2/v2/payment-intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"amount": "<string>",
"totalAmount": "<string>",
"currency": "<string>",
"receiptEmail": "<string>",
"customerEmail": "<string>",
"country": "<string>",
"status": "<string>",
"checkoutLink": "<string>",
"clientReference": "<string>",
"paymentMethods": [
{
"id": "<string>",
"type": "<string>",
"attributes": [
{
"name": "<string>"
}
]
}
],
"callbackUrl": "<string>",
"transaction": "<string>",
"meta": [
{}
],
"settlementAccount": {
"id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"createdAt": {},
"updatedAt": {}
},
"createdAt": {},
"updatedAt": {}
}Payment Intent
Get Payment Intent Details
GET
/
v2
/
payment-intents
/
{id}
Get Payment Intent Details
Request Path Parameter
string
required
The ID of the Payment Intent.
Response Data
string
required
The ID of the Payment Page
string
required
Amount
string
required
Total Amount that will be paid out
string
required
Currency
string
Email to receive transaction receipt. If no value is specified, the customer email will get transaction receipt
string
required
Email of the customer
string
Country of the Payment Intent
string
required
Payment Intent status
string
required
Payment Intent link.
string
required
Payment Intent unique reference supplied by the client.
array
string
Callback URL
string
Transaction reference associated with the Payment Intent
array
More information about the payment page
Settlement Account Object
datetime
required
Payment Page created time.
datetime
required
Payment Page updated time.
⌘I

